%define upstream_name	 Net-SSH2
%define upstream_version 0.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Support for the SSH 2 protocol via libSSH2
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: libssh2-devel
BuildRequires: perl-devel
%description
Net::SSH2 is a perl interface to the libssh2 (http://www.libssh2.org) library.
It supports the SSH2 protocol (there is no support for SSH1) with all of the
key exchanges, ciphers, and compression of libssh2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

perl -pi -e 's~^my \$inc.*~my \$inc = "%_includedir";~' Makefile.PL
perl -pi -e 's~^my \$lib.*~my \$lib = "%_libdir";~' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README TODO example
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 370876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 317703
- update to 0.46

* Tue Jun 05 2012 jquelin <jquelin> 0.450.0-1.mga3
+ Revision: 255203
- update to 0.45

* Wed May 30 2012 jquelin <jquelin> 0.400.0-2.mga3
+ Revision: 250999
- rebuild for perl 5.16

* Thu Nov 03 2011 jquelin <jquelin> 0.400.0-1.mga2
+ Revision: 162269
- update to 0.40
- update to 0.39

  + takashi <takashi>
    - update to 0.40

* Wed Jun 15 2011 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 107212
- update to 0.38

* Sun Jun 12 2011 sander85 <sander85> 0.330.0-3.mga2
+ Revision: 104872
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.330.0-2.mga1
+ Revision: 30963
- mageia rebuild
- imported package perl-Net-SSH2

